global:
  imagePullPolicy: IfNotPresent

backend:
  image: fusero-backend-dev:local
  port: 14000
  env:
    CORS_ORIGIN: "*"
    POSTGRES_NAME: fusero-boilerplate-db
    POSTGRES_HOSTNAME: postgres-service
    POSTGRES_USER: root
    POSTGRES_PASSWORD: root123
    POSTGRES_PORT: "5432"
    DEFAULT_ADMIN_USERNAME: admin
    DEFAULT_ADMIN_EMAIL: darren@fusero.nl
    DEFAULT_ADMIN_PASSWORD: admin123
    ENCRYPTION_KEY: d3680f1c027e865e1da5c2be8b0be20c43f70a8107071e61df15cab6df4357cf
    JWT_SECRET: sdfj94mfm430f72m3487rdsjiy7834n9rnf934n8r3n490fn4u83fh894hr9nf0
    CHATGPT_API_KEY: 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
    CANVAS_API_KEY: 17601~vLkPEraKTtCmxrNx48TH9JW8ePtUPG2tHLZu8mauAuUeyXePXKY67axYaWRrN43x
    CANVAS_API_URL: https://talnet.instructure.com/api/v1

frontend:
  image: fusero-frontend-dev:devserver
  port: 8080
  env:
    VITE_API_BASE_URL: http://localhost:14000

postgres:
  image: postgres:15
  storage: 1Gi
  dbName: fusero-boilerplate-db
  user: root
  password: root123
